#!/usr/bin/env python3

import sys
import jinja2
import weasyprint


def main():
    env = jinja2.Environment(
        loader=jinja2.FileSystemLoader("."),
        autoescape=jinja2.select_autoescape(),
        )
    template = env.get_template(sys.argv[1])
    r = template.render()
    print(r)
    doc = weasyprint.HTML(string=r, base_url=".")
    doc.write_pdf(sys.argv[2])


if __name__ == "__main__":
    main()
