import json
from pathlib import Path
from uuid import UUID

from uuid_extensions import uuid7

from sqlalchemy import String, Text
from sqlalchemy.orm import Mapped, mapped_column

from . import db


class Schild(db.Model):
    ident: Mapped[UUID] = mapped_column(primary_key=True,
                                        default=uuid7)
    title: Mapped[str] = mapped_column(String(31))
    text: Mapped[str] = mapped_column(Text)

    @classmethod
    def from_file(cls, path):
        path = Path(path)
        with path.open() as fp:
            content = json.load(fp)
            return cls(ident=path.name, **content)

    @classmethod
    def get_all_schilder(cls, path: Path):
        for f in path.glob("*.schild"):
            yield cls.from_file(f)
