from . import db
from .models import Schild

from flask import (
    Blueprint, render_template, current_app as app, request, redirect, url_for
)

from flask_wtf import FlaskForm

from wtforms_sqlalchemy.orm import model_form

bp = Blueprint("views", __name__)


@bp.route("/")
def index():
    #schilder = Schild.get_all_schilder(app.config["SCHILDER"])
    schilder = db.session.execute(db.select(Schild)).scalars()
    return render_template("index.pug", schilder=schilder)


@bp.route("/schild/<ident>")
def schild(ident):
    #s = Schild.from_file(app.config["SCHILDER"] / name)
    schild = db.get_or_404(Schild, ident)
    return render_template("schild.pug", schild=schild)


SchildForm = model_form(Schild, base_class=FlaskForm)


@bp.route("/create", methods=["GET", "POST"])
def create():
    schild = Schild()
    if request.method == "POST":
        form = SchildForm(request.form, obj=schild)
        if form.validate():
            form.populate_obj(schild)
            db.session.add(schild)
            db.session.commit()
            return redirect(url_for(".schild", ident=schild.ident))
    else:
        form = SchildForm(obj=schild)
    return render_template("schild.pug", form=form)
